Draft Rotate/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand|Name=Draft Rotate|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Rotate|Shortcut=R O}}
== Draft: Ruota ==


==Description==
{{GuiCommand/it|Name=Draft Rotate|Name/it=Ruota|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft Ruota|Shortcut=R O}}


This tool rotates or copies the selected objects by a given angle around a point on the current [[Draft Workingplane|work plane]]. If no object is selected, you will be invited to select one.

Questo strumento ruota o copia e ruota gli oggetti selezionati di un determinato angolo attorno a un punto del [[Draft Workingplane/it|piano di lavoro]] corrente.

Se nessun oggetto è selezionato, viene chiesto di selezionarne uno.


[[Image:Draft_Rotate_example.jpg|400px]]
[[Image:Draft_Rotate_example.jpg|400px]]


=== Utilizzo ===
==How to use==

# Selezionare gli oggetti che si desidera ruotare o copiare
# Premere il pulsante {{KEY/it|Ruota}}, o premere i tasti {{KEY/it|R}} e {{KEY/it|O}}
# Selezionare un primo punto, centro di rotazione, nella vista 3D, oppure digitare le sue [[Draft_Coordinates/it|coordinate ]]
# Selezionare il secondo punto nella vista 3D, o fornire un angolo di riferimento
# Selezionare il terzo punto nella vista 3D, o fornire un angolo di rotazione


# Select objects you wish to rotate or copy
=== Opzioni ===
# Press the {{KEY|[[Image:Draft Rotate.png|16px]] [[Draft Rotate]]}} button, or press {{KEY|R}} then {{KEY|O}} keys
# Click a center point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click a second point on the 3D view, or give a reference angle
# Click a third point on the 3D view, or give a rotation angle


==Options==
* Premere {{KEY/it|X}}, {{KEY/it|Y}} o {{KEY/it|Z}} dopo un punto per vincolare il punto successivo a un dato asse.
* Per inserire manualmente le coordinate, è sufficiente inserire il numero, quindi premere {{KEY/it|INVIO}} per ogni componente X, Y e Z.
* Premere {{KEY/it|T}} oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità {{KEY/it|Continua}}. Se la modalità Continua è attiva, lo strumento Ruota si riavvia dopo che è stato terminato o chiuso, permettendo di eseguire nuove rotazioni o spostamenti senza dover ripetere il comando.
* Premere {{KEY/it|ALT}} o {{KEY/it|C}} o attivare la funzione {{KEY/it|Copia}} per creare una copia degli oggetti, invece di ruotarli. Mantenendo premuto {{KEY/it|ALT}} dopo aver cliccato il secondo punto, si possono inserire più duplicati, finché non si rilascia il tasto {{KEY/it|ALT}}.
* Premere {{KEY/it|CTRL}} mentre si disegna per [[Draft_Snap/it|agganciare]] forzatamente il proprio punto al punto di ancoraggio più vicino, indipendentemente dalla distanza.
* Premere {{KEY/it|SHIFT}} mentre si disegna per [[Draft_Constrain/it|vincolare]] il secondo punto orizzontalmente o verticalmente rispetto al centro di rotazione.
* Premere {{KEY/it|ESC}} o premere il pulsante {{KEY/it|Cancella}} per uscire dal comando attivo.


* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
=== Script ===
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Rotate tool will restart after you finish or close it, allowing you to rotate or copy the objects another time without pressing the Rotate button again.
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of rotating them. If you keep {{KEY|ALT}} pressed after clicking the third point, you will be able to place more copies, until you release the {{KEY|ALT}} key.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your next point horizontally or vertically in relation to the rotation center.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.


==Scripting==
Lo strumento Ruota può essere utilizzato nelle [[macros/it|macro]] e dalla [[FreeCAD_Scripting_Basics/it|console di Python]] utilizzando la seguente funzione:


The Rotate tool can by used in [[macros]] and from the python console by using the following function:
'''rotate (FreeCAD.Object or list, angle, [center], [axis] ,[copymode])'''


<syntaxhighlight>
* Ruota l'oggetto dato o gli oggetti contenuti nella lista fornita di un dato angolo attorno al centro dato, se disponibile, con axis come asse di rotazione.
rotate (FreeCAD.Object or list, angle, [center], [axis] ,[copymode])
* Se l'asse viene omesso, la rotazione avviene attorno all'asse verticale Z.
</syntaxhighlight>
* Se CopyMode è True, gli oggetti reali non vengono spostati, ma vengono invece create delle loro copie.
* Rotates the given object or the objects contained in the given list with the given angle around the given center if provided, using axis as a rotation axis.
*Restituisce gli oggetti (o delle loro copie se CopyMode è True).
* If axis is omitted, the rotation will be around the vertical Z axis.
* If copymode is True, the actual objects are not moved, but copies are created instead.
* Returns the objects (or their copies is copymode was True).


Example:
Esempio:


<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.rotate(FreeCAD.ActiveDocument.ActiveObject,45)
Draft.rotate(FreeCAD.ActiveDocument.ActiveObject,45)
</syntaxhighlight>


<languages/>
{{languages/it | {{en|Draft Rotate}} {{es|Draft Rotate/es}} {{fr|Draft Rotate/fr}} {{se|Draft Rotate/se}} }}

Revision as of 15:40, 13 February 2014

Draft Rotate

Menu location
Draft -> Rotate
Workbenches
Draft, Arch
Default shortcut
R O
Introduced in version
-
See also
None

Description

This tool rotates or copies the selected objects by a given angle around a point on the current work plane. If no object is selected, you will be invited to select one.

How to use

  1. Select objects you wish to rotate or copy
  2. Press the Draft Rotate button, or press R then O keys
  3. Click a center point on the 3D view, or type a coordinate
  4. Click a second point on the 3D view, or give a reference angle
  5. Click a third point on the 3D view, or give a rotation angle

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rotate tool will restart after you finish or close it, allowing you to rotate or copy the objects another time without pressing the Rotate button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of rotating them. If you keep ALT pressed after clicking the third point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the rotation center.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Rotate tool can by used in macros and from the python console by using the following function:

 rotate (FreeCAD.Object or list, angle, [center], [axis] ,[copymode])
  • Rotates the given object or the objects contained in the given list with the given angle around the given center if provided, using axis as a rotation axis.
  • If axis is omitted, the rotation will be around the vertical Z axis.
  • If copymode is True, the actual objects are not moved, but copies are created instead.
  • Returns the objects (or their copies is copymode was True).

Example:

 import FreeCAD,Draft
 Draft.rotate(FreeCAD.ActiveDocument.ActiveObject,45)